Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0027157
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajorhave not tried2014-07-22 15:502014-08-08 18:54
ReporteralostaleView Statuspublic 
Assigned ToAugustoMauch 
PriorityurgentResolutionfixedFixed in Version3.0PR14Q4
StatusclosedFix in branchFixed in SCM revision6e7fbc189b5d
ProjectionnoneETAnoneTarget Version3.0PR14Q4
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toshankarb
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0027157: summary functions in saved view/grid config cause several requests

DescriptionWhen a saved view or a grid configuration includes summary functions, several datasource requests to are executed.
Steps To ReproduceIn a Professional instance:

-Case 1 (saved view)
  1.1 Open Sales Order window
  1.2 Set Grand Total as Summary (eg. sum) function:
      * Right click on grid's Grand Total column title
      * Select Set Summary Function > Sum
  1.3 Save this view and set it as default
  1.4 Close Sales Order window
  1.5 Open it again and check XHR requests -> 5 requests to Order for summary function are executed (1 for real ds, 4 for summary)
-Case 2 (grid configuration)
  2.1 Open Sales Invoice window
  2.2 Set Grand Total as summary (see step 1.2)
  2.3 Move any grid column position to save grid to be saved
  2.4 Close Sales Invoice window
  2.5 Open it again and check XHR requests -> 5 requests to Invoice for summary function are executed (1 for real ds, 4 for summary)

Note case 1 and 2 can be combined for a single window, in this case the result is the number of requests is 7
Proposed SolutionSummary functions, by SC design, should result in a single extra request (if there are several summary columns all of them should be grouped in a single one). This is opening the window should trigger 2 requests: 1 for data loading + 1 for summary info.
TagsPerformance
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0024684 closedalostale Double DataSource request when there is grid configuration 

-  Notes
(0068826)
alostale (developer)
2014-07-23 09:44

Executed test cases:
-the 2 ones explained in the steps to reproduce, individually and combined
-the same for subtabs, both at 1st position and in other ones
(0068827)
hgbot (developer)
2014-07-23 09:46

Repository: erp/devel/pi
Changeset: 6e7fbc189b5d0147bcf7ffd74737293a2842bab9
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Wed Jul 23 09:46:04 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/6e7fbc189b5d0147bcf7ffd74737293a2842bab9 [^]

fixed bug 27157: multi-requests in summary functions in saved view/grid config

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/grid/ob-view-grid.js
---
(0068856)
shankarb (developer)
2014-07-24 10:27

Code reviewed and verified in pi changeset 1ecf6de02840
(0069215)
hudsonbot (developer)
2014-08-08 18:54

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/4450016dee64 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-07-22 15:50 alostale New Issue
2014-07-22 15:50 alostale Assigned To => AugustoMauch
2014-07-22 15:50 alostale Modules => Core
2014-07-22 15:50 alostale Triggers an Emergency Pack => No
2014-07-22 15:51 alostale Tag Attached: Performance
2014-07-22 16:32 shuehner Issue Monitored: shuehner
2014-07-22 16:33 mtaal Issue Monitored: mtaal
2014-07-22 17:03 alostale Relationship added related to 0024684
2014-07-23 09:05 alostale Summary summary functions in saved view cause several requests => summary functions in saved view/grid config cause several requests
2014-07-23 09:05 alostale Description Updated View Revisions
2014-07-23 09:05 alostale Steps to Reproduce Updated View Revisions
2014-07-23 09:05 alostale Proposed Solution updated
2014-07-23 09:44 alostale Note Added: 0068826
2014-07-23 09:46 hgbot Checkin
2014-07-23 09:46 hgbot Note Added: 0068827
2014-07-23 09:46 hgbot Status new => resolved
2014-07-23 09:46 hgbot Resolution open => fixed
2014-07-23 09:46 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/6e7fbc189b5d0147bcf7ffd74737293a2842bab9 [^]
2014-07-23 16:15 alostale Review Assigned To => shankarb
2014-07-24 10:27 shankarb Note Added: 0068856
2014-07-24 10:27 shankarb Status resolved => closed
2014-07-24 10:27 shankarb Fixed in Version => 3.0PR14Q4
2014-08-08 18:54 hudsonbot Checkin
2014-08-08 18:54 hudsonbot Note Added: 0069215


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker